# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/0b61910c-75d8-4990-69c0-64cac697dd8a/volume/rsync-recipes/bokeh-2.0.1-python_3.7-on-osx, last modified Mon Mar 30 12:16:51 2020
# ------------------------------------------------

package:
    name: bokeh
    version: 2.0.1
source:
    sha256: 07b26adfbe9fad4bb53e770d220c4d5d0fff8ef6813aa18222fa348bbdb8994b
    url: https://pypi.io/packages/source/b/bokeh/bokeh-2.0.1.tar.gz
build:
    entry_points:
        - bokeh = bokeh.__main__:main
    number: '0'
    script:
        - /opt/concourse/worker/volumes/live/0b61910c-75d8-4990-69c0-64cac697dd8a/volume/bokeh_1585589593826/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
            -m pip install . -vv
        - find /opt/concourse/worker/volumes/live/0b61910c-75d8-4990-69c0-64cac697dd8a/volume/bokeh_1585589593826/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold
            -name '*.js.map' -delete
    string: py37_0
requirements:
    host:
        - ca-certificates 2020.1.1 0
        - certifi 2019.11.28 py37_1
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libedit 3.1.20181209 hb402a30_0
        - libffi 3.2.1 h475c297_4
        - ncurses 6.2 h0a44026_0
        - openssl 1.1.1e h1de35cc_0
        - pip 20.0.2 py37_1
        - python 3.7.7 hc70fcce_0_cpython
        - readline 8.0 h1de35cc_0
        - setuptools 46.1.1 py37_0
        - sqlite 3.31.1 ha441bb4_0
        - tk 8.6.8 ha441bb4_0
        - wheel 0.34.2 py37_0
        - xz 5.2.4 h1de35cc_4
        - zlib 1.2.11 h1de35cc_3
    run:
        - jinja2 >=2.7
        - numpy >=1.11.3
        - packaging >=16.8
        - pillow >=4.0
        - python >=3.7,<3.8.0a0
        - python-dateutil >=2.1
        - pyyaml >=3.10
        - tornado >=5
        - typing_extensions >=3.7.4
test:
    commands:
        - pip check
        - bokeh --help
    imports:
        - bokeh
        - bokeh.application
        - bokeh.application.handlers
        - bokeh.client
        - bokeh.command
        - bokeh.command.subcommands
        - bokeh.core
        - bokeh.core.property
        - bokeh.core.validation
        - bokeh.models
        - bokeh.models.widgets
        - bokeh.plotting
        - bokeh.protocol
        - bokeh.protocol.messages
        - bokeh.sampledata
        - bokeh.server
        - bokeh.server.views
        - bokeh.sphinxext
        - bokeh.themes
        - bokeh.util
    requires:
        - pip
about:
    description: 'Bokeh is a Python interactive visualization library that targets

        modern web browsers for presentation. Its goal is to provide elegant,

        concise  construction of novel graphics in the style of D3.js, and to

        extend this capability with high-performance interactivity over very

        large or streaming datasets. Bokeh can help anyone who would like to

        quickly and easily create interactive plots, dashboards, and data

        applications.

        '
    dev_url: http://github.com/bokeh/bokeh
    doc_url: http://bokeh.pydata.org/en/latest/docs/user_guide.html
    home: http://bokeh.pydata.org/
    license: BSD-3-Clause
    license_family: BSD
    license_file: LICENSE.txt
    summary: Statistical and novel interactive HTML plots for Python
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - almarklein
        - jakirkham
        - ocefpaf
